在安装perl ZMQ模块时的问题

最近准备尝试下ØMQ. 跟着官方教程尝试了一下, 觉得还是相当好用的.

此外它的各个语言的api库都很多, 不过在安装过程还是碰到了点小问题, 这里记录一下.

问题

在安装perl相关库的时候, 先使用了cpanm方式, 但是在build的时候报错, 错误信息是类似, 可能是库的问题. 期间还试了一下ruby的库, 但是貌似仅支持zmq的2.x版本.

最后决定还是直接从源码来进行安装, 根据zmq库的版本选择lib3或者lib2. 终于成功~

可以继续玩耍了;)

Comments